#!/bin/bash
. /etc/sysconfig/sbd

logger -p user.crit "$0: asked to fence another node"

# Copy stdin to syslog
cat | logger -p user.crit

# Wait for it to self-fence
sleep "${SELF_FENCE_TIMEOUT}"

logger -p user.crit "$0: assume self-fencing of other node is complete"

# exit cleanly so dlm_controld knows it is done
exit 0
